import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { ErrorComponentBase } from 'src/app/core/base/error-component-base';

@Component({
  selector: 'app-server-unavailable',
  templateUrl: './server-unavailable.component.html',
  styleUrls: ['./server-unavailable.component.scss'],
})
export class ServerUnavailableComponent extends ErrorComponentBase {
  constructor(private router: Router) {
    super();
  }

  async retryConnection() {
    await this.router.navigate(['/']);
  }
}
